创建推特列表 (List)
创建一个新的推特列表。需附带 Twitter Cookie。
返回 API 接口列表
/Lists Endpoints
POST
/twitter/list/createAPI 鉴权
AuthorizationBearer token · header必填TwexAPI 平台的全局身份凭据 (Bearer Token)。所有接口调用均需在 Header 中携带:Authorization: Bearer <YOUR_TWEXAPI_KEY>。可在 TwexAPI 用户控制台获取。
请求体
必填application/jsoncookiestring必填用户自有授权的 Twitter 会话凭据或 auth_token(BYOC 自带 Cookie 模式)。无状态受托代理执行,凭据绝不持久化存储。详见 [鉴权与安全说明](/zh/authentication#写操作鉴权与-byoc自带授权-cookie--token) 与 [获取 Cookie 指南](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie)。
list_namestring必填推特列表名称。
list_descriptionstring必填推特列表的简介描述。
is_privateboolean必填该推特列表是否为私密模式(true 为仅自己可见)
响应结果
200推特列表(List)完整数据对象。
codeinteger必填HTTP 响应状态码(200 表示成功)
msgstring必填响应提示信息(例如 'success')
dataListModel必填展开属性折叠属性
idstring必填要操作的列表唯一 ID
namestring必填用户昵称/显示名称
descriptionstring必填个人主页 Bio 自我介绍文本
is_privateboolean必填该列表是否处于私密隐藏状态
member_countinteger必填该推特列表中收录的成员总人数
subscriber_countinteger必填订阅该推特列表的关注者总人数
422请求参数校验错误
detailValidationError[]展开属性折叠属性
Array of
ValidationErrorlocstring | integer[]必填展开属性折叠属性
Array of
string | integerAny of:
string
stringinteger
integermsgstring必填响应提示信息(例如 'success')
typestring必填inputanyctxobject⚡交互式测试POST
⚡交互式测试 / Try APIPOSTLive Console
🌐目标服务器:
https://api.twexapi.io● 生产环境就绪
✍️
写入接口凭证指引(TwexAPI 密钥 + 目标推特 Cookie)
1. TwexAPI 平台密钥 (Bearer Token):在下方「API 鉴权」中填入,用于 TwexAPI 计费与接口调用鉴权。
2. 推特账号 Cookie:本接口为代发/点赞/关注等写操作,需在下方请求体 (Request Body) 的 cookie 字段中填入目标 Twitter 账号的 Cookie 凭据(如 auth_token=...; ct0=...)。
🔑API 鉴权
📝请求体application/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
请求示例
curl -X POST "https://api.twexapi.io/twitter/list/create" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"list_name": "string",
"list_description": "string",
"is_private": true
}'const response = await fetch("https://api.twexapi.io/twitter/list/create", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"list_name": "string",
"list_description": "string",
"is_private": true
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/list/create",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"list_name": "string",
"list_description": "string",
"is_private": True
},
)响应示例
{
"code": 0,
"msg": "string",
"data": {
"id": "string",
"name": "string",
"description": "string",
"is_private": true,
"member_count": 0,
"subscriber_count": 0
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}